summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xranger/data/scope.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 2cba7d0e..1fde1de5 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -85,6 +85,12 @@ handle_extension() {
             odt2txt "${FILE_PATH}" && exit 5
             exit 1;;
 
+	## ODT (using pandoc)
+        # odt)
+        #     # Preview as markdown conversion
+        #     pandoc -s -t markdown "${FILE_PATH}" && exit 5
+        #     exit 1;;
+
 	## RTF and DOC
 	rtf|doc)
 	    ## Preview as text conversion
@@ -93,8 +99,10 @@ handle_extension() {
 	    catdoc "${FILE_PATH}" && exit 5
 	    exit 1;;
 
-	## DOCX
-	docx)
+	## DOCX, EPUB, FB2 (using pandoc)
+	## you might want to remove EPUB and/or FB2 if you have uncommented
+        ## other methods to preview those formats
+	docx|epub|fb2)
 	    ## Preview as markdown conversion
 	    pandoc -s -t markdown "${FILE_PATH}" && exit 5
 	    exit 1;;